Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155025 - linux/version.h is broken
Summary: linux/version.h is broken
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc-kernheaders
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: FC4Blocker
TreeView+ depends on / blocked
 
Reported: 2005-04-15 19:12 UTC by Mike A. Harris
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 2.4-9.1.93
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-15 20:00:27 UTC


Attachments (Terms of Use)

Description Mike A. Harris 2005-04-15 19:12:56 UTC
When compiling xorg-x11 in rawhide, all of a sudden it now explodes:


gcc -c -O2 -fno-strength-reduce -fno-strict-aliasing -ansi -pedantic -Wall
-Wpointer-arith -Wundef    -fno-merge-constants
-I../../../../../../programs/Xserver/hw/xfree86/co
mmon -I../../../../../../programs/Xserver/hw/xfree86/os-support -I.
-I../../../../../../programs/Xserver/include           
-I../../../../../../exports/include/X11 -I../../.
./../../../include/extensions
-I../../../../../../programs/Xserver/hw/xfree86/os-support/shared           
-I../../../../../../programs/Xserver/hw/xfree86/os-support/bus -I.
./../../../../../extras/drm/shared  -I../../../../../..
-I../../../../../../exports/include   -Dlinux -D__amd64__
-D_POSIX_C_SOURCE=199309L                             -D_PO
SIX_SOURCE -D_XOPEN_SOURCE                              -D_BSD_SOURCE
-D_SVID_SOURCE                             -D_GNU_SOURCE                       
   -DSHAPE -DXINPUT -DX
KB -DLBX -DXAPPGROUP    -DXCSECURITY -DTOGCUP   -DXF86BIGFONT -DDPMSExtension  
  -DPANORAMIX    -DRENDER -DRANDR       -DXFIXES -DDAMAGE -DCOMPOSITE -DXEVIE  
 -DGCCUSESGAS
 -DAVOID_GLYPHBLT -DPIXPRIV -DSINGLEDEPTH                              
-DXFreeXDGA -DXvExtension                               -DXFree86LOADER 
-DXFree86Server
                -DXF86VIDMODE                           -DXvMCExtension        
                        -DSMART_SCHEDULE                                
-DXResExtension
                        -DX_BYTE_ORDER=X_LITTLE_ENDIAN                         
-DXORG_VERSION_CURRENT="(((6) * 10000000) + ((8) * 100000) + ((2) * 1000) + 0)"
-D_XSERVER64
-DNDEBUG   -DFUNCPROTO=15 -DNARROWPROTO   -DHAS_MTRR_SUPPORT -DUSESTDRES 
-DHAVE_SYSV_IPC   lnx_io.c
lnx_io.c: In function 'KDKBDREP_ioctl_ok':
lnx_io.c:91: error: 'struct kbd_repeat' has no member named 'period'
lnx_io.c:98: error: 'struct kbd_repeat' has no member named 'period'
lnx_io.c:100: error: 'struct kbd_repeat' has no member named 'period'
lnx_io.c:101: error: 'struct kbd_repeat' has no member named 'period'
lnx_io.c:102: error: 'struct kbd_repeat' has no member named 'period'


[from lnx_io.c]
/* kbd rate stuff based on kbdrate.c from Rik Faith <faith@cs.unc.edu> et.al.
 * from util-linux-2.9t package */

#include <linux/kd.h>
#include <linux/version.h>
#ifdef __sparc__
#include <asm/param.h>
#include <asm/kbio.h>
#endif

/* Deal with spurious kernel header change */
#if defined(LINUX_VERSION_CODE) && defined(KERNEL_VERSION)
# if LINUX_VERSION_CODE >= KERNEL_VERSION(2,5,42)
#  define rate period
# endif
#endif

Comment 1 Mike A. Harris 2005-04-15 19:15:30 UTC
<arjan> it should have remained at what it was (2.4.20)
<arjan> the number has no meaning
<arjan> but some stuff thinks it has
<arjan> changing it will break that some stuff

Comment 2 Mike A. Harris 2005-04-15 19:32:22 UTC
* Fri 15 Apr 2005 David Woodhouse <dwmw2@redhat.com> 2.4-9.1.92
[snip]
- Update cosmetic version in linux/version.h (#117020)


Comment 3 David Woodhouse 2005-04-15 20:00:27 UTC
"that some stuff" is already broken -- consider yourself forewarned. We should
really attempt to find something more useful that the code in question can
depend upon.

I'm reverting the change in 2.4-9.1.93 but it's temporary -- although it'll
probably end up lasting until FC5 gets underway and I can really start to do
something sane with glibc-kernheaders instead of just trying to patch up the
known problems.


Note You need to log in before you can comment on or make changes to this bug.